


%fram4_examP: examples of frames for triangular factorization
 %

list_frame4
ind1=input('index of frame; 0--former   ')
if ind1(1)~=0
 IND=ind1;
  
end
Par=IND(2);TS=IND(3);
n11=128;%input('length of signal; 0--former ?')

if n11~=0
n=n11
end

ll=1;


J=log2(n);

if TS==0
    [Leo, FLeo]=fram4_lev_P(IND,n);
figure;

subplot(1,2,1)
 OLE4_P(Leo,n)
subplot(1,2,2)
FLE4_P(FLeo,n)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
else 
    if Par==2 |Par==7
      [Leo FLeo]=fram4_lev_P(IND,n);%fram_lev5P(Par,2,n,1);
      figure;

subplot(1,2,1)
 OLE4_P(Leo,n,1)
subplot(1,2,2)
FLE4_P(FLeo,n,2)
    else
        ind=IND;ind(3)=1;
    [Leo FLeo]=fram4_lev_P(ind,n);
    ind=IND;ind(3)=2;
    [Leo1 FLeo1]=fram4_lev_P(ind,n);
figure;

subplot(2,2,1)
 OLE4_P(Leo,n,1)
subplot(2,2,2)
FLE4_P(FLeo,n,2)
subplot(2,2,3)
 OLE4_P(Leo1,n,1)
subplot(2,2,4)
FLE4_P(FLeo1,n,2)
 
end
end
% Copyright (c) 2013. Valery A. Zheludev

